
spring:
  # 环境 dev|prod|docker
  profiles:
#    active: dev
    active: prod
  #文件上传设置
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
      enabled: true
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  mvc:
    formcontent:
      filter:
        enabled: false
  autoconfigure:
    exclude: org.springframework.boot.autoconfigure.jmx.JmxAutoConfiguration,\
      org.springframework.boot.autoconfigure.gson.GsonAutoConfiguration,\
      org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration,\
      org.springframework.boot.autoconfigure.jdbc.XADataSourceAutoConfiguration,\
      org.springframework.boot.autoconfigure.jdbc.JndiDataSourceAutoConfiguration,\
      org.springframework.boot.autoconfigure.transaction.jta.JtaAutoConfiguration,\
      org.springframework.boot.autoconfigure.websocket.WebSocketAutoConfiguration,\
      org.springframework.boot.autoconfigure.websocket.WebSocketMessagingAutoConfiguration,\
      org.springframework.boot.autoconfigure.freemarker.FreeMarkerAutoConfiguration,\
      org.springframework.boot.autoconfigure.groovy.template.GroovyTemplateAutoConfiguration,\
      org.springframework.boot.autoconfigure.mustache.MustacheAutoConfiguration,\
      org.springframework.boot.autoconfigure.mail.MailSenderAutoConfiguration,\
      org.springframework.boot.autoconfigure.mail.MailSenderValidatorAutoConfiguration,\
      org.springframework.boot.actuate.autoconfigure.TraceRepositoryAutoConfiguration,\
      org.springframework.boot.actuate.autoconfigure.TraceWebFilterAutoConfiguration,\
      org.springframework.boot.actuate.autoconfigure.MetricFilterAutoConfiguration
# mybaits-plus配置
mybatis-plus:
  # MyBatis Mapper所对应的XML文件位置
  mapper-locations: classpath*:/mapper/*Mapper.xml
  global-config:
    # 关闭MP3.0自带的banner
    banner: false
    db-config:
      # 主键类型 0:数据库ID自增 1.未定义 2.用户输入 3 id_worker 4.uuid 5.id_worker字符串表示
      id-type: AUTO
      #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
      insert-strategy: NOT_NULL
      update-strategy: NOT_NULL
      select-strategy: NOT_NULL
      # 默认数据库表下划线命名
      table-underline: true

management:
  server:
    add-application-context-header: false
server:
  tomcat:
    basedir:   /temp
# 用于雪花算法生成id
application:

  datacenterId: 1
  workerId: 1

#服务商
services:
  #服务商AppId
  spAppId: wx43b5b906cc30ed0b
  #服务商商户号
  spMchId: 1725845681
  #商户AppId
  subAppId: wxbc64403830bb13c5
  #商户号
  subMchId: 1732205552
  # APIv2密钥
  apiKey: 4b64e17419689527b256f07cdf6bd60c
  # APIv3密钥
  apiV3Key: 4b64e17419689527b256f07cdf6bd60c
  # 微信支付V3-url前缀
  baseUrl: https://api.mch.weixin.qq.com/v3
  # 密钥路径,resources根目录下
  keyPemPath: apiclient_key.pem
  #商户证书序列号
  serialNo: 65E9559D81ADA0BDA0CD3CF484A59A8DFB5610BE
  #支付回调
  notifyUrl: http://he56cd66.natappfree.cc/notice/pay/order/wxNotify
  #退款回调
  refundNotifyUrl: http://he56cd66.natappfree.cc/notice/pay/order/refundNotify

